Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# APPSPACK_Vector.hpp File Reference

## Detailed Description

Typedef for APPSPACK::Vector.

Definition in file APPSPACK_Vector.hpp.`#include "APPSPACK_Common.hpp"`

Include dependency graph for APPSPACK_Vector.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | APPSPACK
## Typedefs
typedef vector< double > | Vector
| Alias for vector<double>.
## Functions
ostream & | operator<< (ostream &stream, const APPSPACK::Vector &x)
| Printing an APPSPACK::Vector.

## Typedef Documentation

typedef vector<double> APPSPACK::Vector

| Alias for vector<double>. Definition at line 47 of file APPSPACK_Vector.hpp. Referenced by APPSPACK::Directions::computeNewDirections(), APPSPACK::Constraints::Bounds::convertToBool(), APPSPACK::Conveyor::Conveyor(), APPSPACK::createZeroVector(), APPSPACK::Parameter::Entry::Entry(), APPSPACK::Solver::generateTrialPoints(), APPSPACK::Solver::getBestX(), APPSPACK::Directions::getDirection(), APPSPACK::Constraints::Bounds::getLower(), APPSPACK::Parameter::List::getParameter(), APPSPACK::Constraints::Bounds::getScaling(), APPSPACK::Constraints::Bounds::getUpper(), APPSPACK::Parameter::List::getVectorParameter(), APPSPACK::Parameter::Entry::getVectorValue(), APPSPACK::Point::getX(), APPSPACK::Solver::initializeBestPointPtr(), APPSPACK::Cache::Manager::insert(), APPSPACK::Cache::Manager::isCached(), APPSPACK::Parameter::List::isParameterEqual(), main(), APPSPACK::Cache::Manager::Manager(), APPSPACK::Evaluator::SystemCall::operator()(), operator<<(), APPSPACK::Point::Point(), APPSPACK::Cache::Point::Point(), APPSPACK::Cache::Manager::processInputLine(), APPSPACK::processTextInputFileLine(), APPSPACK::Parameter::List::setParameter(), APPSPACK::Cache::Point::setStaticScaling(), APPSPACK::Constraints::Bounds::setup(), APPSPACK::Parameter::Entry::setValue(), APPSPACK::Executor::Serial::spawn(), APPSPACK::Executor::MPI::spawn(), APPSPACK::Evaluator::SystemCall::writeInputFile(), and APPSPACK::Cache::Manager::writeToOutputFile().

## Function Documentation

ostream& operator<< | ( | ostream & | stream,
|  | const APPSPACK::Vector & | x
| ) |

| Printing an APPSPACK::Vector. Definition at line 41 of file APPSPACK_Vector.cpp. References APPSPACK::Print::formatDouble(), and APPSPACK::Vector.

© Sandia Corporation | Site Contact | Privacy and Security

Generated on Wed Dec 14 18:41:05 2005 for APPSPACK 4.0.2 by 1.3.8 written by Dimitri van Heesch, © 1997-2002